开发者社区> 技术mix呢> 正文
阿里云
为了无法计算的价值
打开APP
阿里云APP内打开

Pods was rejected as an implicit dependency for 'libPods.a' because its architectures 'x86_64' didn

简介:
+关注继续查看

引入cocoaPods后。第一次编译,或者运行update后 可能报这个错误:

Pods was rejected as an implicit dependency for 'libPods.a' because its architectures 'x86_64' didn't contain all required architectures 'i386'

查了些资料,在网上有一种解决方法是去设置podproject的  valid Architectures 与你的项目project的 valid Architectures 一致

试了试没有成功,

经过尝试最后找了解决方式:详细的解决方式例如以下图:

确保3的地方设置为最新的sdk,确保4的地方设置和project设置一样




更新:再次遇到这个问题。依照上面方法无法解决。请尝试下面解决方法:

A friend updated Cocoapods in our project. When I pulled the latest stuff from git I got the following error:

Pods was rejected as an implicit dependency for 'libPods.a' because its architectures 'x86_64' didn't contain all required architectures 'i386'

This results in

ld: library not found for -lPods-___PODLIBRARY____
clang: error: linker command failed with exit code 1 (use -v to see invocation)

I have searched around for hours now trying to find it. The most common fixes I've tried are..

  • Deleted derived data
  • Delete build data
  • Delete pods, and reinstalled with 'pod install'
  • Clean project
  • All of the above at the same time
  • Experimented with 'Build Active Architecture Only', both in our project and in Pod Project. Inserted armv7 and armv7s as hard code instead of $ variable
  • Experimented with 'Architectures', both in our project and in Pod Project. Inserted armv7 and armv7s as hard code instead of $ variable

We are aiming for iOS 8, iPhones.

My friend got it to work by combining the first 4 options, but I cannot.

Does anyone have any suggestions? We're supposed to release before christmas so production time is precious :D

參考地址:http://stackoverflow.com/questions/27388957/pods-was-rejected-as-an-implicit-dependency-for-libpods-a-because-its-architec






本文转自mfrbuaa博客园博客,原文链接:http://www.cnblogs.com/mfrbuaa/p/5115741.html,如需转载请自行联系原作者

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
IDEA告警:Field can be converted to a local varible
IDEA告警:Field can be converted to a local varible
52 0
DBCC SHRINKDATABASE xxxx was skipped because the file does not have enough free
原文:DBCC SHRINKDATABASE xxxx was skipped because the file does not have enough free    假设你创建一个数据库时,指定其初始化大小(SIZE )非常大。
1070 0
Attention Modeling for Targeted Sentiment 的理解与重现
Attention Modeling for Targeted Sentiment 的理解与重现 更好地版本参见:https://www.zybuluo.com/habits/note/847972 这边好多东西显示不了,看我上面的版本吧。
1081 0
Java Code Examples for org.apache.ibatis.annotations.Insert
  http://www.programcreek.com/java-api-examples/index.php?api=org.apache.ibatis.annotations.Insert http://www.
783 0
使用DBLINK查询时报ORA-00600: internal error code, arguments: [kzdlk_zt2 err]
  >                          >                                     ...
1230 0
HTTP Status 500 - Unable to compile class for JSP:Duplicate local variable xxx
jsp页面中使用了: ,由于一个页面中引用的多个jsp页面中都包含该语句,那么就会出现以下错误: HTTP Status 500 - Unable to compile class for JSP:Duplicate local variable xxx 详细错误信息如下图...
897 0
Pushy is a Java library for sending APNs (iOS and OS X) push notifications
pushy Pushy is a Java library for sending APNs (iOS and OS X) push notifications. It is written and maintained by the engineers at RelayRides and is built on the Netty framework.
2026 0
could not open C:/program files/java/jre6/lib/i386/jvm.cfg 问题解决方法
验证JDK是否安装正确 输入 java -version  提示: could not open C:/program files/java/jre6/lib/i386/jvm.cfg   解决办法:                    标准JDK的lib目录下确实没有i386的目录,这个只在JRE中存在。
1041 0
DBA_INDEXES.CLUSTERING_FACTOR 索引的群集因子初探
http://space.itpub.net/?uid-7728585-action-viewspace-itemid-612691 先引出ORACLE WAIT INTERFACE中的原话: In addition to SQL tuning...
899 0
+关注
2968
文章
0
问答
文章排行榜
最热
最新
相关电子书
更多
低代码开发师(初级)实战教程
立即下载
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载